#
# spec file for package psi-otr (Version 0.14)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define real_name psi
%define otrplugin_version 0.5

Name:		psi-otr
Url:		http://psi-im.org/
License:	GPL v2 or later
Group:		Productivity/Networking/Talk/Clients
Version:	0.14
Release:	4.1
Summary:	Psi Jabber client using Qt (with OTR support)
Source0:	http://downloads.sourceforge.net/psi/%{real_name}-%{version}.tar.bz2
### Translations ###############################################
# psi translation files ########################################
Source1:	http://psi-im.org/download/lang/psi_be.qm
Source2:	http://psi-im.org/download/lang/psi_cs.qm
Source3:	http://psi-im.org/download/lang/psi_de.qm
Source4:	http://psi-im.org/download/lang/psi_eo.qm
Source5:	http://psi-im.org/download/lang/psi_es.qm
Source6:	http://psi-im.org/download/lang/psi_fr.qm
Source7:	http://psi-im.org/download/lang/psi_it.qm
Source8:	http://psi-im.org/download/lang/psi_ja.qm
Source9:	http://psi-im.org/download/lang/psi_mk.qm
Source10:	http://psi-im.org/download/lang/psi_pl.qm
Source11:	http://psi-im.org/download/lang/psi_pt_BR.qm
Source12:	http://psi-im.org/download/lang/psi_ru.qm
Source13:	http://psi-im.org/download/lang/psi_sl.qm
Source14:	http://psi-im.org/download/lang/psi_sv.qm
Source15:	http://psi-im.org/download/lang/psi_uk.qm
Source16:	http://psi-im.org/download/lang/psi_ur_PK.qm
Source17:	http://psi-im.org/download/lang/psi_vi.qm
Source18:	http://psi-im.org/download/lang/psi_zh.qm
Source19:	http://psi-im.org/download/lang/psi_zh_TW.qm
# Qt translation files #########################################
Source30:	http://psi-im.org/download/lang/qt_be.qm
Source31:	http://psi-im.org/download/lang/qt_de.qm
Source32:	http://psi-im.org/download/lang/qt_es.qm
Source33:	http://psi-im.org/download/lang/qt_fr.qm
Source34:	http://psi-im.org/download/lang/qt_mk.qm
Source35:	http://psi-im.org/download/lang/qt_pl.qm
Source36:	http://psi-im.org/download/lang/qt_ru.qm
Source37:	http://psi-im.org/download/lang/qt_sv.qm
Source38:	http://psi-im.org/download/lang/qt_uk.qm
Source39:	http://psi-im.org/download/lang/qt_ur_PK.qm
################################################################
Source50:	%{name}-%{otrplugin_version}.tar.bz2
Source100:	%{name}.changes
Patch0:		%{real_name}-0.14-enable_plugins_for_otr.patch.bz2
Patch1:		%{real_name}-0.14-mpris.patch
Patch2:		%{real_name}-0.14-whiteboarding.patch
Patch3:		%{real_name}-0.14-sxe-debug.patch
Patch4:		%{real_name}-0.14-desktop_file.patch
Patch5:		%{real_name}-0.14-configure_debug_optflags.patch
Patch6:         psi-missing-includes.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	aspell-devel libqca2-devel libqt4-devel
BuildRequires:	update-desktop-files fdupes
BuildRequires:	libotr-devel
Conflicts:	psi

%description
Psi is the premiere Instant Messaging application designed for
GNU/Linux, Microsoft Windows, Apple Mac OS X. Built upon an open
protocol named Jabber, Psi is a fast and lightweight messaging client
that utilises the best in open source technologies. Psi contains all
the features necessary to chat, with no bloated extras that slow your
computer down.



Authors:
--------
		Justin Karneges <infiniti@affinix.com>
		Kevin Smith <psi-changelog@kismith.co.uk>
		Michail Pishchagin <mblsha@users.sourceforge.net>
		Remko Troncon <remko@psi-im.org>
		Maciej Niedzielski

This package contains a plugin for "off the record" encryption available at

http://public.tfh-berlin.de/~s30935/



Author:
-------
		Timo Engel (timo-e@freenet.de)



%prep
%setup -q -n %{real_name}-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p1

tar xf %{SOURCE50}

%build
# although configure is not a real configure script, we use it to set debug-options
# use of %%optflags was added by configure_debug_optflags.patch
./configure --prefix=%{_prefix} --libdir=%{_libdir} --disable-bundled-qca --enable-plugins --debug --no-separate-debug-info

make %{?jobs:-j%jobs}

pushd %{real_name}-otr-%{otrplugin_version}
mv README README.OTR
qmake 
make %{?jobs:-j%jobs}
popd

%install
make INSTALL_ROOT=%{buildroot} install
rm -f %{buildroot}%{_datadir}/psi/{COPYING,README}
%suse_update_desktop_file psi
install -m 0644 -t %{buildroot}%{_datadir}/%{real_name} $RPM_SOURCE_DIR/*.qm
mkdir -p %{buildroot}%{_libdir}/%{real_name}/plugins
install -m 0644 %{real_name}-otr-%{otrplugin_version}/libpsi-otr.so  %{buildroot}%{_libdir}/%{real_name}/plugins/

%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README %{real_name}-otr-%{otrplugin_version}/README.OTR
%{_bindir}/psi
%{_datadir}/applications/psi.desktop
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/16x16
%dir %{_datadir}/icons/hicolor/16x16/apps
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps
%dir %{_datadir}/icons/hicolor/48x48
%dir %{_datadir}/icons/hicolor/48x48/apps
%dir %{_datadir}/icons/hicolor/64x64
%dir %{_datadir}/icons/hicolor/64x64/apps
%dir %{_datadir}/icons/hicolor/128x128
%dir %{_datadir}/icons/hicolor/128x128/apps
%{_datadir}/icons/hicolor/*/apps/psi.png
%dir %{_datadir}/%{real_name}
%{_datadir}/%{real_name}/certs
%{_datadir}/%{real_name}/iconsets
%{_datadir}/%{real_name}/sound
%{_datadir}/%{real_name}/*.qm
%dir %{_libdir}/%{real_name}
%dir %{_libdir}/%{real_name}/plugins
%{_libdir}/%{real_name}/plugins/libpsi-otr.so

%changelog
* Mon Mar 15 2010 packman@links2linux.de - 0.14
- added patch to use RPM_OPT_FLAGS when configure script is called with option "-debug"
* Thu Feb 11 2010 packman@links2linux.de - 0.14
- replaced Obsoletes and Provides for psi with "Conflicts: psi"
  now the user will only get psi-otr if he explicitely installs psi-otr
  and not as an automatic update with "zypper install psi" or "zypper update"
* Wed Feb 10 2010 packman@links2linux.de - 0.14
- updated and added a few translations files
* Sun Jan 31 2010 axel@links2linux.de - 0.14
- built with configure options "--debug" and "--no-seperate-debug-info" instead of "--release"
  to get useful debug-packages without creating an extra > 25MB psi.debug binary
- added fdupes to build process and BuildRequires
- added desktop_file.patch
* Sat Jan 23 2010 axel@links2linux.de - 0.14
- initial package based on SPEC for psi in openSUSE-OSS
- package renamed to psi-otr
- sources updated to version 0.14
- added support for "off the record" encryption (OTR)
- spec cleanup
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Thu Jun  4 2009 prusnak@suse.cz
- updated to 0.13
  - Voice calls (Jingle RTP).
  - Basic XMPP URI handler.
  - Ability to permanently trust certificates at connect time.
  - Mini command system (Ctrl+7 in chat window).
  - Various bugfixes.
- enable aspell
- fixed missing includes (sxe-debug.patch)
- removed obsoleted patches:
  * delete.patch (mainline)
  * mainwin.patch (mainline)
* Mon Mar  2 2009 prusnak@suse.cz
- enable Media Player Remote Interface Specification (mpris.patch)
- enable sleep and wake up events via dbus (dbus-sleepwake.patch)
- enable whiteboarding (whiteboarding.patch)
- fix Qt 4.5 compatibility (qt45-compat.patch)
- fix references in mainwin (mainwin.patch)
* Fri Feb 27 2009 prusnak@suse.cz
- updated to 0.12.1
  * Bugfix for DOS vulnerability in the file transfer code.
    Thanks to Jesus Olmos (jolmos@isecauditors.com)
* Wed Nov 19 2008 prusnak@suse.cz
- fix wrong delete usage (delete.patch) [bnc#445429]
* Tue Oct  7 2008 prusnak@suse.cz
- fix filelist
* Wed Sep 17 2008 prusnak@suse.cz
- added translations from psi website (thanks Marek Stopka for suggestion)
* Tue Sep  9 2008 prusnak@suse.cz
- added debuginfo to package
* Mon Aug 11 2008 prusnak@suse.cz
- updated to 0.12
  (changes from 0.11 to 0.12)
  - Multi-user chat windows now join one on one chat windows and can be opened
    in tabbed form, either sharing a window, or seperately.
  - The roster search has been updated, and now triggers a filter when typing
    into the roster window.
  - An XML ringbuffer is now used, allowing access to already received XML in
    the XML console.
  - When resolving a name for new contacts, the full name is now used if the
    nick name is missing from the vcard.
  - Auto-connect on wake is now an independent option.
  - MUCs can now be bookmarked, and auto-joined.
  - The old config.xml file has been dropped in favour of the new options.xml
    format - all options in Psi can now be configured from the Advanced
    options pane (no more hand-editing of config files is required).
  - Vcard avatars are now transmitted for the benefit of legacy clients and
    servers not supporting PEP.
  - A new diagnostics group is available in the help menu, to allow debugging
    problems with the QCA security layer.
  - Launching several instances of the same profile on Windows and Unices with
    DBUS now behaves more sensibly.
  - On X11, the taskbar should now flash on new messages for compliant
    window managers.
* Fri Jul 18 2008 prusnak@suse.cz
- updated to 0.12-rc4
  * fix segfault when closing chat window with multiple tabs [bnc#402787]
* Thu Apr  3 2008 prusnak@suse.cz
- updated to 0.12-rc1
  * rewrite to Qt 4 and QCA 2
  * changes too numerous to list
* Thu Jul 19 2007 pcerny@suse.cz
- initial package version 0.10
